Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class VersionedStringProperty

    java.lang.Object
      com.mysql.jdbc.VersionedStringProperty

     class VersionedStringProperty

extends java.lang.Object

Field Summary
`(package private) int` | `majorVersion`
`(package private) int` | `minorVersion`
`(package private) boolean` | `preferredValue`
`(package private) java.lang.String` | `propertyInfo`
`(package private) int` | `subminorVersion`

Constructor Summary
`VersionedStringProperty(java.lang.String property)`
`VersionedStringProperty(java.lang.String property, int major, int minor, int subminor)`

Method Summary
`(package private) boolean` | `isOkayForVersion(Connection conn)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### majorVersion

    int majorVersion

### minorVersion

    int minorVersion

### subminorVersion

    int subminorVersion

### preferredValue

    boolean preferredValue

### propertyInfo

    java.lang.String propertyInfo

Constructor Detail

### VersionedStringProperty

    VersionedStringProperty(java.lang.String property)

### VersionedStringProperty

    VersionedStringProperty(java.lang.String property,
                            int major,
                            int minor,
                            int subminor)

Method Detail

### isOkayForVersion

    boolean isOkayForVersion(Connection conn)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD